# Custom HTML

Custom HTML website, served using thttpd

<!-- metadata -->
* **Category**: Apps
* **Status**: 1, pre-alpha
* **Image**: [`thttpd`](https://hub.docker.com/r/dragas/thttpd), 1, 3rd party
* **Healthcheck**: No
* **Backups**: No
* **Email**: N/A
* **Tests**: 0
* **SSO**: Yes
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new custom-html`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Copy your files to the container, using something like
```
abra app YOURAPPDOMAIN cp index.html app:/content
```

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik

## Git Based Usage

1. Set up as above, stop at step 4.
2. Deploy `swarm-cronjob` to the host
3. `abra app config`, Uncomment Git lines in configuration, and set variables as appropriate.
4. `abra app YOURAPPDOMAIN deploy`
